# libtraceevent(3) Manual Page

## NAME

tep_strerror - Returns a string describing regular errno and tep error number.

## SYNOPSIS

    #include <event-parse.h>

    int tep_strerror(struct tep_handle *tep, enum tep_errno errnum, char *buf, size_t buflen);

## DESCRIPTION

The tep_strerror() function converts tep error number into a human readable string. The tep argument is trace event parser context. The errnum is a regular errno, defined in errno.h, or a tep error number. The string, describing this error number is copied in the buf argument. The buflen argument is the size of the buf.

It as a thread safe wrapper around strerror_r(). The library function has two different behaviors - POSIX and GNU specific. The tep_strerror() API always behaves as the POSIX version - the error string is copied in the user supplied buffer.

## RETURN VALUE

The tep_strerror() function returns 0, if a valid errnum is passed and the string is copied into buf. If errnum is not a valid error number, -1 is returned and buf is not modified.

## EXAMPLE

## FILES

    event-parse.h
            Header file to include in order to have access to the library APIs.
    -ltraceevent
            Linker switch to add when building a program that uses the library.

## SEE ALSO

libtraceevent(3), trace-cmd(1)

## AUTHOR

    Steven Rostedt <rostedt@goodmis.org>, author of libtraceevent.
    Tzvetomir Stoyanov <tz.stoyanov@gmail.com>, author of this man page.

## REPORTING BUGS

Report bugs to <linux-trace-devel@vger.kernel.org>

## LICENSE

libtraceevent is Free Software licensed under the GNU LGPL 2.1

## RESOURCES

https://git.kernel.org/pub/scm/libs/libtrace/libtraceevent.git/